# what it's called on pypi
%global pypi_name anyio

Name:           python-%{pypi_name}
Version:        4.4.0
Release:        %mkrel 1
Summary:        Compatibility layer for multiple asynchronous event loop implementations
License:        MIT
Group:          Development/Python
URL:            https://github.com/agronholm/anyio
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
AnyIO is a asynchronous compatibility API that allows applications and libraries
written against it to run unmodified on asyncio, curio and trio.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
AnyIO is a asynchronous compatibility API that allows applications and
libraries written against it to run unmodified on asyncio, curio and trio.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Thu Jun 27 2024 papoteur <papoteur> 4.4.0-1.mga10
+ Revision: 2077220
- new version 4.4.0

* Tue Dec 26 2023 wally <wally> 4.2.0-1.mga10
+ Revision: 2021601
- new version 4.2.0
- use %%pyproject_buildrequires

* Thu Dec 07 2023 wally <wally> 4.1.0-2.mga10
+ Revision: 2015301
- rebuild for py3.12

* Sun Dec 03 2023 joequant <joequant> 4.1.0-1.mga10
+ Revision: 2012760
- update to 4.1.0

* Sun Jan 15 2023 wally <wally> 3.6.2-1.mga9
+ Revision: 1933473
- new version 3.6.2

* Fri Nov 04 2022 wally <wally> 3.6.1-2.mga9
+ Revision: 1902757
- update setuptools-scm BRs

* Mon Sep 05 2022 neoclust <neoclust> 3.6.1-1.mga9
+ Revision: 1883948
- New version 3.6.1

* Thu Mar 31 2022 umeabot <umeabot> 3.3.0-3.mga9
+ Revision: 1836349
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 wally <wally> 3.3.0-2.mga9
+ Revision: 1773504
- rebuild for python3.10

* Sun Aug 22 2021 wally <wally> 3.3.0-1.mga9
+ Revision: 1742188
- new version 3.3.0

* Wed Apr 07 2021 wally <wally> 2.0.2-5.mga9
+ Revision: 1713980
- own egg-info dir to properly generate python provides and requires

* Wed Apr 07 2021 joequant <joequant> 2.0.2-4.mga9
+ Revision: 1713951
- add provides

* Tue Apr 06 2021 joequant <joequant> 2.0.2-3.mga9
+ Revision: 1713886
- rebuild

* Mon Apr 05 2021 joequant <joequant> 2.0.2-2.mga9
+ Revision: 1713476
- fix deps
- remove checks

* Mon Apr 05 2021 joequant <joequant> 2.0.2-1.mga9
+ Revision: 1713466
- fix deps
- disable tests
- fix deps
- fix deps
- update deps
- fix deps
- don't use pyproject
- don't generate doc
- fix requires
- add rpm macro
- imported package python-anyio

